#!/bin/sh
#
# run the nfsstones benchmark and report result
#
# usage: $0 [ basedir ]
#
# Change this to where the software is installed
NFSSTONE=/share/schessma/bench/nfsstone
#
# Change this list to the directories to be benchmarked
# The first one is the reference; should be /tmp
TESTLIST="/tmp /var/tmp ${NFSSTONE}"
#
# The rest can stay as is
PGM=${NFSSTONE}/nfsstones
LOG=${NFSSTONE}/log
TMP=/tmp/nfsstone.$$
trap "rm -f ${TMP}" 0

INFO=`uname -a`
#
# extract the results and compare with a baseline
# basedir tmpfile --
#
report_result() {
# tmp:
#Total time = 12.222841 seconds, or 3724.338720 NFSstones/second
	date
	echo ${INFO}
	df -k $1 | tail -1 | cut -f 1 -d ' '
	cat $2
	echo ===================================================
	
}

#
# run 1 iteration with a basedir argument
#
# basedir --
run_bench() {
	BASE=${1:-$NFSSTONE}
	LOCK=${BASE}/nfsstone.lock

	touch ${LOCK}
	${PGM} ${BASE} ${LOCK} > ${TMP}
	rm -f ${LOCK}
	report_result ${BASE} ${TMP} >> ${LOG}
}

for testdir in ${TESTLIST}
do
	run_bench $testdir
done

awk -f ${NFSSTONE}/report.awk < ${LOG}
