# No Magic Number here; invoke as "awk report.awk < ${LOG}"
#
# format the log from nfsstone.sh
#
# 6 Tue Mar  2 09:06:46 EST 1999
# 7 SunOS poseidon 5.5.1 Generic_103640-24 sun4u sparc SUNW,Ultra-2
# 1 frigg90:/share/schessma
# 3 Total NFSstones: 45522
# 8 Total time = 12.149518 seconds, or 3746.815306 NFSstones/second
# 1 ===================================================
BEGIN	{
	FS=" " ; 
	host = "";
	sum=0.00; 
	base=45522.0;
	n=0;
	printf("\n%-10s: %30s: %20s:  %5s\n", "Host","Filesystem","NFSStones","Index");
	}

/^=/	{ # process all lines
	++n;
	sum += stones;
	printf("%-10s: %30s: %20.5f:  %5.3f\n", host,filesys,stones,(stones/base));
	}

NF==6	{ next; }
NF==1	{ filesys = $1; next; }
NF==3	{ next; }
NF==8	{ stones = $7; next; }

NF==7	{
	if (host == "") { host = $2; }
	if (host == $2) { next; }
	avg = (sum / n);
	printf(" %65s =====\n", "");
	printf("%-10s: Average Score: %16s %20.5f:  %5.3f\n\n",host,"",avg,avg/base);
	host = $2;
	sum = 0.00;
	n = 0;
	next;
	}
END	{
	avg = (sum / n);
	printf(" %65s =====\n", "");
	printf("%-10s: Average Score: %16s %20.5f:  %5.3f\n\n",host,"",avg,avg/base);
	}
